#ifndef COMMAND_H
#define COMMAND_H

#include <stdint.h>

//gamestate gives commands to the ruleset if the commands apply to the ruleset.

#define COMMAND_NONE 0
#define COMMAND_QUIT_GAME 1

//Commands are passed to the ruleset
#define COMMAND_PLAYER1_ROCK 2
#define COMMAND_PLAYER1_PAPER 3
#define COMMAND_PLAYER1_SCISSORS 4

#define COMMAND_PLAYER2_ROCK 5
#define COMMAND_PLAYER2_PAPER 6
#define COMMAND_PLAYER2_SCISSORS 7

class Command {
 public:
  Command ();
  ~Command ();
  
  uint32_t getCommand ();
  void setCommand (uint32_t comm);
 private:
  uint32_t comm;
};

#endif
