#include "PowerSelector.h"

PowerSelector::PowerSelector()
{
}

PowerSelector::~PowerSelector()
{
}

void PowerSelector::clear()
{
  selected=-1;
  previousSelected=-1;
  indyWid=0;
  indyHei=0;
}

int PowerSelector::getSelected()
{
  return selected;
}

int PowerSelector::getPreviousSelected()
{
  return previousSelected;
}

//changes the selected item, sets the previously selected item.
void PowerSelector::setSelected(int sel)
{
  previousSelected=selected;
  selected=sel;
}

//get and set the dimensions of an individual box.
void PowerSelector::setIndividualBoxDimensions (uint16_t w, uint16_t h)
{
  indyWid=w;
  indyHei=h;
}

uint16_t PowerSelector::getIndividualBoxWidth ()
{
  return indyWid;
}

uint16_t PowerSelector::getIndividualBoxHeight ()
{
  return indyHei;
}
