#include "interface/GameState.h"

#include <stdio.h>

#define NULL_INDEX 0

GameState * gs;

//prototypes
bool programStartup ();
void programShutdown ();

bool programStartup ()
{
  gs = new GameState ();
  if (!gs -> initialize ())
    return false;
  return true;
}

void programShutdown ()
{
  xmlCleanupParser();
  delete gs;
}

int main (int argc, char *argv[])
{
  if (programStartup () == false)
    {
      programShutdown ();
      return 1;
    }

  while (gs -> getGameState () != GAMESTATE_QUIT)
    {
      gs -> go ();
    }

  programShutdown ();
  return 0;
}
