#ifndef INPUT_H
#define INPUT_H

#include <stdint.h>

#define INPUT_MOUSEMOTION 0
#define INPUT_QUITGAME 1
#define INPUT_NONE 2
#define INPUT_MOUSEUP 3
#define INPUT_MOUSEDOWN 4
#define INPUT_MOUSEDRAG 5

#include <vector>
using namespace std;

class Input {
 public:
  uint32_t playerID;

  Input ();
  ~Input ();

  uint32_t getInput ();
  void setInput (uint32_t);

  vector <int> & getData ();
  void pushData (int);

 private:
  uint32_t command;
  vector <int> data;
};
#endif
