#ifndef LOCALCONTROLLER_H
#define LOCALCONTROLLER_H

#include <stdint.h>

#include <vector>
using namespace std;

#include "Input.h"
#include "SDL.h"

#define MOUSE_BUTTON_NONE 0
#define MOUSE_BUTTON_ACTION 1
#define MOUSE_BUTTON_HELP 2

//This captures input from the mouse, keyboard, joysticks and anything else connected to this computer. It should read a configuration file to figure out what it needs to read.

class LocalInput {
 public:
  LocalInput ();
  ~LocalInput ();

  void pollInput (SDL_Event &, vector<Input> &); //reads local devices

  bool getButton1IsHelp ();
  void setButton1IsHelp (bool a);

 protected:
  bool button1IsHelp;
};

#endif
