#ifndef ITEM_H
#define ITEM_H

#include <stdint.h>

#include <string>
using namespace std;

//Item. Parent class of Equipment and Consumable.

class Item {
 public:
  Item ();
  virtual ~Item ();

  virtual uint8_t getPrice ();
  virtual const string & getItemID ();

  virtual void setPrice (uint8_t x);
  virtual void setItemID (const string & x);

 private:
  string itemID;
  uint8_t price;
};

#endif
