#ifndef SDLRESOURCEFONT_H
#define SDLRESOURCEFONT_H

#include <stdint.h>

#include "SDL.h"

#include <string>
#include <vector>
using namespace std;

#include "SDL_ttf.h"

//this holds one music file, taken from a zip structure.
#define NULL_INDEX 0

class SDLResourceFont
{
 public:
  SDLResourceFont ();
  ~SDLResourceFont ();

  bool loadFont (const string &);

  void draw (const string &, SDL_Surface *, int32_t, int32_t, uint8_t, uint8_t, uint8_t, uint8_t);

  uint16_t getFontSize ();
  uint16_t getTextDimensions (const string & str, uint16_t * widthReturn, uint16_t * heightReturn);

 private:
  SDL_RWops *fontRW; //rw ops file that holds the music file
  TTF_Font * font;
  string fontIndex;
  uint16_t fontSize;
};



#endif
