#ifndef SDLRESOURCESOUNDBUFFER_H
#define SDLRESOURCESOUNDBUFFER_H

#include <stdint.h>

#include "SDL.h"
#include "SDL_mixer.h"

#include <string>
using namespace std;

//this structure holds a buffer for an image.

class SDLResourceSoundBuffer
{
 public:
  SDLResourceSoundBuffer();
  ~SDLResourceSoundBuffer();

  bool loadSound (const string & index);
  Mix_Chunk * getSound ();
  const string & getSoundIndex ();
  void lockSound ();
  uint8_t releaseSound ();

 private:
  void deleteSound ();

  uint8_t refcount;
  string soundIndex;
  Mix_Chunk *sample;
};

#endif
